About Device Doctor

Device Doctor Help
About Device Doctor

Device Doctor is a freeware Windows application that scans your computer hardware and checks to see if there are new driver updates available for your devices. It also locates drivers for "unidentified devices" in the Windows Device Manager.

NOTE: This tool was designed to be very simple and easy to use.

Copyright © 2009 Device Doctor Software Inc.


Download Device Doctor

Download Device Doctor

To begin, download Device Doctor on to the computer that needs drivers.

To download the setup file you need to install Device Doctor, please navigate to the following link:

http://www.devicedoctor.com/download/

Click "Save File" and choose a temporary location if you're asked to. Then, proceed to the "Install Device Doctor" section of this manual.


Install Device Doctor

Install Device Doctor

Begin the installation of Device Doctor by double-clicking on the installer. The installer is named "DeviceDoctor_Setup.exe" and is likely on your desktop.

Proceed through the installation by pressing "Next" at each screen. Please read the End User License Agreement (EULA) very carefully before agreeing to it by pressing "Next".

If you'd like to help out the free Device Doctor project, you can opt in to send anonymous usage logs each time the program is run. These logs help us track down bugs and other issues with the software. There is also an automatic update feature that can be turned on or off at this screen that will ensure that you've always got the latest and greatest version.

When the installer is complete, Device Doctor will automatically launch.


Running a driver scan

Running a driver scan

Device Doctor is extremely easy to use. When the program launches, there is a single button to push, which will trigger Device Doctor's scan of your computer's hardware and software configuration to determine which drivers (if any) are out of date or missing.

Once you press "Begin Scan", Device Doctor will begin looking for new drivers for your system. The scan typically takes only a few seconds, and once finished will display another check mark to let you know that step is complete.

You should see a list of drivers that Device Doctor has found for your system. This list may be long or short, depending on your configuration.


Downloading new drivers

Downloading new drivers

Each driver has an individual download button which, when pressed, will connect to our database via your default web browser and automatically begin to download your new driver.

When downloading drivers you may notice that they don't all function the same way. There are some drivers that come in a single .exe file, others are packaged in folders or in .zip files.

If your driver is a single file that ends with .exe, then installation is super easy. Save the file to your desktop and double click it. The installer will begin and walk you through the process; you may need to reboot your computer afterwards.

If the driver is packaged in a folder you'll want to save the folder to your desktop and then take a look inside. There should be a setup.exe, or an install.exe file in there somewhere that you can double click to run. If there are no .exe files in the folder look for a file that ends in .inf; when you see that you can RIGHT click on the file and select "Install" to apply the driver.

If the driver is in a .zip file you'll have to 'extract' the contents onto your desktop before running any installs therein. Once you've extracted all the files to your hard drive open up the new folder and look for either the .exe or the .inf file, as described above.


Using Device Doctor without an Internet connection

Using Device Doctor without an Internet connection

If your computer has no access to the internet - perhaps because of a missing network card driver - you can "export" your scan results to another PC (one with a working connection). When Device Doctor is unable to connect to the internet after a scan, this message will appear:

Click "Yes" to proceed.

The scan results are saved in .html format. You can store a copy of this file anywhere temporarily. You will need a method to transfer the saved HTML file, like a USB key, external hard drive, or burned CD. Take the "Driver Analysis... .html" file and move it from the offline PC to the PC with an internet connection.

Once you've got that analysis file on a PC with an active connection, double-click on it and you'll see this screen:

Click "Retrieve My Drivers" to show the complete list of links.

Now you can see a list of recommended driver downloads. To apply these you'll need to download them and transfer them over to the offline PC once more before running the install file.